From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-electronics/pulseview/
Date: Thu, 02 Jan 2025 18:33:31 +0000 (UTC) [thread overview]
Message-ID: <1735842735.4844ae6805cc0eae91579bb9a8350e3c0a3f77e6.sam@gentoo> (raw)
commit: 4844ae6805cc0eae91579bb9a8350e3c0a3f77e6
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 2 18:32:15 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jan 2 18:32:15 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4844ae68
sci-electronics/pulseview: build w/ -std=c++17
As Jannik mentions in the bug, modern Boost needs >= C++14, so crank
up the version used. This is fixed upstream in the git repo but not
in a release.
Closes: https://bugs.gentoo.org/946610
Signed-off-by: Sam James <sam <AT> gentoo.org>
sci-electronics/pulseview/pulseview-0.4.2-r1.ebuild | 6 +++++-
1 file changed, 5 insertions(+), 1 deletion(-)
diff --git a/sci-electronics/pulseview/pulseview-0.4.2-r1.ebuild b/sci-electronics/pulseview/pulseview-0.4.2-r1.ebuild
index 0b5446455b34..97332060d41f 100644
--- a/sci-electronics/pulseview/pulseview-0.4.2-r1.ebuild
+++ b/sci-electronics/pulseview/pulseview-0.4.2-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="8"
@@ -50,6 +50,10 @@ src_prepare() {
}
src_configure() {
+ # Needed for modern Boost (bug #946610).
+ # Drop this on bump > 0.4.2.
+ sed -i -e 's:-std=c++11:-std=c++17:' CMakeLists.txt || die
+
local mycmakeargs=(
-DDISABLE_WERROR=TRUE
-DENABLE_DECODE=$(usex decode)
next reply other threads:[~2025-01-02 18:33 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-01-02 18:33 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-13 17:18 [gentoo-commits] repo/gentoo:master commit in: sci-electronics/pulseview/ Andreas Sturmlechner
2024-08-31 16:00 Sven Wegener
2023-02-26 20:03 Sven Wegener
2022-09-04 13:03 David Seifert
2022-01-08 15:47 Sven Wegener
2020-07-06 18:16 Andreas Sturmlechner
2020-07-06 18:16 Andreas Sturmlechner
2020-07-06 18:16 Andreas Sturmlechner
2020-07-06 18:16 Andreas Sturmlechner
2020-07-06 18:16 Andreas Sturmlechner
2020-07-06 18:16 Andreas Sturmlechner
2020-07-06 18:16 Andreas Sturmlechner
2020-02-09 16:36 Michał Górny
2019-04-12 15:45 Sven Wegener
2018-12-08 21:34 Sven Wegener
2018-11-03 11:03 Sven Wegener
2018-04-11 9:40 David Seifert
2017-11-07 22:13 Sven Wegener
2017-10-30 13:27 Sven Wegener
2017-10-30 13:27 Sven Wegener
2017-10-30 13:27 Sven Wegener
2017-07-08 6:55 Sven Wegener
2017-07-01 20:52 Sven Wegener
2017-07-01 20:52 Sven Wegener
2017-06-15 17:37 Pacho Ramos
2016-08-03 11:41 Sven Wegener
2016-08-03 11:41 Sven Wegener
2016-08-03 11:41 Sven Wegener
2016-08-03 11:41 Sven Wegener
2016-01-12 18:36 Sven Wegener
2015-12-19 17:15 Sven Wegener
2015-11-25 10:44 Sergey Popov
2015-11-25 10:44 Sergey Popov
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1735842735.4844ae6805cc0eae91579bb9a8350e3c0a3f77e6.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox